define('bitbucket/internal/util/time-i18n-mappings', [
    'aui',
    'exports'
], function(
    AJS,
    exports
) {

    'use strict';

    var commentEditedAgeMapping = {
        aMomentAgo: function() { return AJS.I18n.getText('bitbucket.date.format.edited.a.moment.ago') },
        oneMinuteAgo: function() { return AJS.I18n.getText('bitbucket.date.format.edited.one.minute.ago') },
        xMinutesAgo: function(param) { return AJS.I18n.getText('bitbucket.date.format.edited.x.minutes.ago', param) },
        oneHourAgo: function() { return AJS.I18n.getText('bitbucket.date.format.edited.one.hour.ago') },
        xHoursAgo: function(param) { return AJS.I18n.getText('bitbucket.date.format.edited.x.hours.ago', param) },
        oneDayAgo: function() { return AJS.I18n.getText('bitbucket.date.format.edited.one.day.ago') },
        xDaysAgo: function(param) { return AJS.I18n.getText('bitbucket.date.format.edited.x.days.ago', param) },
        oneWeekAgo: function() { return AJS.I18n.getText('bitbucket.date.format.edited.one.week.ago') }
    };

    exports.commentEditedAge = commentEditedAgeMapping;
});
